query listTeamHub @auth(level: USER) {
  teamHubs {
    id
    teamId
    hubName
    departments
  }
}

query getTeamHubById(
  $id: UUID!
) @auth(level: USER) {
  teamHub(id: $id) {
    id
    teamId
    hubName
    departments
  }
}

query filterTeamHub(
  $teamId: UUID,
  $hubName: String
) @auth(level: USER) {
  teamHubs(
    where: {
      teamId: { eq: $teamId }
      hubName: { eq: $hubName }
    }
  ) {
    id
    teamId
    hubName
    departments
  }
}
